Bug 2737 - Desktop files without Russian localization
: Desktop files without Russian localization
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 17:00 MSD by Denis Silakov
Modified: 2017-01-28 16:26 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
List of packages and .desktop files (97.50 KB, text/plain)
2013-10-03 17:00 MSD, Denis Silakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-10-03 17:00:54 MSD
Created attachment 1949 [details]
List of packages and .desktop files

Список пакетов из main и .desktop-файлов из них, в которых нет русской локализации.

Всего 270 пакетов и >1200 файлов, но там куча всяких qt-examples. Возможно, им не нужна локализация? Тогда я их исключу из анализа.

Вообще мы можем наладить регулярный мониторинг файлов без локализации на FBA.
Comment 1 JDronova 2013-10-03 17:20:04 MSD
Ага, отлично, забираю.
Comment 2 Vladimir Potapov 2014-02-06 18:08:45 MSK
Наверное, интересно было бы этот тест засунуть прямо на abf, чтоб выдавал ошибку при сборке такого файла.
Comment 3 Denis Silakov 2014-02-06 18:17:15 MSK
Это есть на FBA:

http://fba.rosalinux.ru/rpmlint/problem/rosa2012.1/main/i586/missing-ru-name-in-desktop-file/
http://fba.rosalinux.ru/rpmlint/problem/rosa2012.1/main/i586/missing-ru-comment-in-desktop-file/

Когда это включили на ABF, symbianflo завозмущался, что он как-то не в состоянии править русскую локализацию:) А он чуть ли не единственный человек, который смотрит на все ошибки rpmlint.
Comment 4 JDronova 2015-02-27 20:39:01 MSK
Добрые люди насоветовали вот такую штуку: http://gitweb.mageia.org/software/i18n/tools/tree/desktop  
Судя по readme, это имменно то шо нужно, опробую прямо сейчас.
Comment 5 JDronova 2015-04-03 02:23:41 MSD
Понемногу продвигаюсь с полученной пошкой для всей этой компании, из 2260 мессаджей без перевода 1111 на данный момент.
Comment 6 Denis Silakov 2017-01-28 16:26:34 MSK
We fixed a lot of desktop file localization during the last years. If you see any app that requires localization - feel free to file a separate bug.